package edu.stanford.nlp.framenet;

import java.io.*;
import java.util.*;

/** A simple shell to echo a FrameNet corpus.  Doesn't store any information.
 *  Default is FrameNet 2 format as input.
 *  This class has planned extensions for processing, similar to the 
 *    Corpus of ie.hmm, etc.
 *
 * @author Cindi Thompson
 */
public class FNCorpus {
  
  public void process(File fn2File) {
    FN2Reader fr = new FN2Reader(fn2File);
    //Now process the doc	
    Object nextS = fr.readSent();
    while ((nextS != Boolean.FALSE) && (nextS != null)){
      System.out.println("Next sentence & annotation:\n "+nextS.toString());
      nextS = fr.readSent();
    }//not empty doc
    
  }

  //should later allow a flag to indicate if FN1; default is FN2 file
  public static void main(String args[]) {

    if (args.length != 1) {
      System.err.println("Usage: java FNCorpus <xml_filename|dir>");
      System.exit(1);
    }
    FNCorpus fnCorp = new FNCorpus();

    File fnFile = new File(args[0]);
    if (fnFile.isDirectory()) {
      File[] fFiles = fnFile.listFiles();
      for (int i=0;i<fFiles.length;i++) {
	System.out.println("Next corpus file: "+fFiles[i].getName());
	fnCorp.process(fFiles[i]);
      }
    }
    else 
      fnCorp.process(fnFile);
    
  }

}
